@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_workflows-variables.scss";
.yw-workflows-droparea {
	border-radius: $workflows__drop-area--border-radius;
	border: $workflows__drop-area--border;
	padding: $workflows__drop-area--padding;
	text-align: center;
	position: relative;

	&-plus-icon,
	&-plus-button {
		&:before {
			margin-top: - floor($workflows__drop-area-plus-icon--size/2);
			margin-left: - floor($workflows__drop-area-plus-icon--size/2);
			height: $workflows__drop-area-plus-icon--size;
			width: $workflows__drop-area-plus-icon--size;
			background: url('images/icon-plus.svg') center no-repeat;
			border-color: inherit;
			position: absolute;
			content: "";
			top: 50%;
			left: 50%;
		}
	}
	&-plus-icon {
		border-color: $workflows__drop-area-plus--color;
		height: $workflows__drop-area-plus-icon--size;
		width: $workflows__drop-area-plus-icon--size;
		position: relative;
		display: inherit;
		cursor: default;
		color: transparent;
		border-width: 0;
	}
	&-plus-button {
		height: $workflows__drop-area-plus-button--size;
		width: $workflows__drop-area-plus-button--size;
		min-height: 0;
		padding: 0;
		position: relative;
		margin: 0 auto;

		&, 
		&:hover, 
		&:focus, 
		&:active {
			border: $workflows__drop-area--border;
			border-radius: $workflows__drop-area--border-radius;
			border-color: $workflows__drop-area-plus--color;
			background-color: transparent;
			color: transparent;
			box-shadow: none;
		}
	}
	&.z-drag-over {
		background: transparent;
	}
	&.z-drag-matching-drop-target.z-drag-over {
		color: $workflows__drop-area-hover--color;
		border-color: $workflows__drop-area-hover--color;

		span {
			color: $workflows__drop-area-hover--color;
		}
	}
	&-plus-button:hover,
	&-plus-button:active,
	&.z-drag-matching-drop-target.z-drag-over .yw-workflows-droparea-plus-button,
	&.z-drag-matching-drop-target.z-drag-over .yw-workflows-droparea-plus-icon {
		border-color: $workflows__drop-area-hover--color;
		color: transparent;

		&:before {
			background-image: url('images/icon-plus-hover.svg');
		}
	}
	.yw-workflows-list & {
		span {
			margin: $workflows__drop-area-span--margin;
		 	display: block;			
		}
		.yw-workflows-droparea-plus-icon {
			margin: $workflows__drop-area-plus-icon--margin;
			color: transparent;
			position: absolute;
			top: 50%;
		}
	}
}